Skip to main content
GET
/
projects
/
{projectIdOrName}
Get a project
curl --request GET \
  --url https://api.withampersand.com/v1/projects/{projectIdOrName} \
  --header 'X-Api-Key: <api-key>'
{
  "id": "proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
  "name": "mailmonkey-staging",
  "appName": "MailMonkey",
  "orgId": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
  "createTime": "2023-11-07T05:31:56Z",
  "updateTime": "2023-11-07T05:31:56Z",
  "entitlements": {
    "brandingRemoval": {
      "value": true
    }
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

Query Parameters

includeEntitlements
boolean
default:false

If true, the response includes the project's entitlements (plan-based feature flags). Defaults to false.

Response

The requested project.

id
string
required

The unique identifier for the project.

Example:

"proj_9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

name
string
required

The unique name for the project.

Example:

"mailmonkey-staging"

appName
string
required

The display name of the application, shown to end users during the connection flow.

Example:

"MailMonkey"

orgId
string
required

The ID of the organization that this project belongs to.

Example:

"9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79"

createTime
string<date-time>
required

The time the project was created.

updateTime
string<date-time>

The time the project was updated.

entitlements
object

Plan-based feature flags for the project. These are managed by Ampersand and cannot be set via the API.